path: /build/build/mbedtls-net-libs-2.17.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -libressl -test programs zlib" emerge net-libs/mbedtls -pv -t && \
    USE="-doc -libressl -test programs zlib" emerge -j ${JOBS} --nodeps net-libs/mbedtls
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/mbedtls && luet-portage --dir /pkgdir/mbedtls
    net-libs/mbedtls && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b79b230c377017b219df525d388a1bbe40ea19bb78a14ce31c6d0a5b9991628f
  package:
    name: mbedtls
    version: 2.17.0
    category: net-libs
    use_flags:
    - -doc
    - -libressl
    - -test
    - programs
    - zlib
    requires:
    - name: websocketpp
      version: '>=0'
      category: dev-cpp
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Cryptographic library for embedded systems
    uri:
    - https://tls.mbed.org/
    license: Apache-2.0
    buildtimestamp: 2023-10-03 13:56:49.502863232 +0000 UTC m=+86.187424917
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6
      DEPEND: programs? ( !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0=
        ) ) zlib? ( >=sys-libs/zlib-1.2.8-r1[-mgorny(-)] ) doc? ( app-doc/doxygen
        media-gfx/graphviz ) test? ( dev-lang/perl )
      IUSE: cpu_flags_x86_sse2 doc havege libressl programs -static-libs test threads
        zlib abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64
      RDEPEND: programs? ( !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0=
        ) ) zlib? ( >=sys-libs/zlib-1.2.8-r1[-mgorny(-)] )
      emerge.packages: net-libs/mbedtls
      kit: net-kit
      original.package.name: net-libs/mbedtls
      original.package.slot: "0"
      original.package.version: 2.17.0
    treedir: /build/packages
  package_dir: /pkgdir/mbedtls
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2e790f468667ee16920d5e9a1a2322983296892949931c92173dfe7732164f51
compressiontype: zstd
files:
- usr/bin/mbedtls_aescrypt2
- usr/bin/mbedtls_benchmark
- usr/bin/mbedtls_cert_app
- usr/bin/mbedtls_cert_req
- usr/bin/mbedtls_cert_write
- usr/bin/mbedtls_crl_app
- usr/bin/mbedtls_crypt_and_hash
- usr/bin/mbedtls_dh_client
- usr/bin/mbedtls_dh_genprime
- usr/bin/mbedtls_dh_server
- usr/bin/mbedtls_dtls_client
- usr/bin/mbedtls_dtls_server
- usr/bin/mbedtls_gen_entropy
- usr/bin/mbedtls_gen_key
- usr/bin/mbedtls_gen_random_ctr_drbg
- usr/bin/mbedtls_gen_random_havege
- usr/bin/mbedtls_generic_sum
- usr/bin/mbedtls_hello
- usr/bin/mbedtls_key_app
- usr/bin/mbedtls_mini_client
- usr/bin/mbedtls_mpi_demo
- usr/bin/mbedtls_pem2der
- usr/bin/mbedtls_pk_decrypt
- usr/bin/mbedtls_pk_encrypt
- usr/bin/mbedtls_pk_sign
- usr/bin/mbedtls_pk_verify
- usr/bin/mbedtls_query_compile_time_config
- usr/bin/mbedtls_req_app
- usr/bin/mbedtls_rsa_decrypt
- usr/bin/mbedtls_rsa_encrypt
- usr/bin/mbedtls_rsa_genkey
- usr/bin/mbedtls_rsa_sign
- usr/bin/mbedtls_rsa_verify
- usr/bin/mbedtls_selftest
- usr/bin/mbedtls_ssl_cert_test
- usr/bin/mbedtls_ssl_client1
- usr/bin/mbedtls_ssl_client2
- usr/bin/mbedtls_ssl_fork_server
- usr/bin/mbedtls_ssl_mail_client
- usr/bin/mbedtls_ssl_pthread_server
- usr/bin/mbedtls_ssl_server
- usr/bin/mbedtls_strerror
- usr/bin/mbedtls_udp_proxy
- usr/include/mbedtls/aes.h
- usr/include/mbedtls/aesni.h
- usr/include/mbedtls/arc4.h
- usr/include/mbedtls/aria.h
- usr/include/mbedtls/asn1.h
- usr/include/mbedtls/asn1write.h
- usr/include/mbedtls/base64.h
- usr/include/mbedtls/bignum.h
- usr/include/mbedtls/blowfish.h
- usr/include/mbedtls/bn_mul.h
- usr/include/mbedtls/camellia.h
- usr/include/mbedtls/ccm.h
- usr/include/mbedtls/certs.h
- usr/include/mbedtls/chacha20.h
- usr/include/mbedtls/chachapoly.h
- usr/include/mbedtls/check_config.h
- usr/include/mbedtls/cipher.h
- usr/include/mbedtls/cipher_internal.h
- usr/include/mbedtls/cmac.h
- usr/include/mbedtls/compat-1.3.h
- usr/include/mbedtls/config.h
- usr/include/mbedtls/ctr_drbg.h
- usr/include/mbedtls/debug.h
- usr/include/mbedtls/des.h
- usr/include/mbedtls/dhm.h
- usr/include/mbedtls/ecdh.h
- usr/include/mbedtls/ecdsa.h
- usr/include/mbedtls/ecjpake.h
- usr/include/mbedtls/ecp.h
- usr/include/mbedtls/ecp_internal.h
- usr/include/mbedtls/entropy.h
- usr/include/mbedtls/entropy_poll.h
- usr/include/mbedtls/error.h
- usr/include/mbedtls/gcm.h
- usr/include/mbedtls/havege.h
- usr/include/mbedtls/hkdf.h
- usr/include/mbedtls/hmac_drbg.h
- usr/include/mbedtls/md.h
- usr/include/mbedtls/md2.h
- usr/include/mbedtls/md4.h
- usr/include/mbedtls/md5.h
- usr/include/mbedtls/md_internal.h
- usr/include/mbedtls/memory_buffer_alloc.h
- usr/include/mbedtls/net.h
- usr/include/mbedtls/net_sockets.h
- usr/include/mbedtls/nist_kw.h
- usr/include/mbedtls/oid.h
- usr/include/mbedtls/padlock.h
- usr/include/mbedtls/pem.h
- usr/include/mbedtls/pk.h
- usr/include/mbedtls/pk_internal.h
- usr/include/mbedtls/pkcs11.h
- usr/include/mbedtls/pkcs12.h
- usr/include/mbedtls/pkcs5.h
- usr/include/mbedtls/platform.h
- usr/include/mbedtls/platform_time.h
- usr/include/mbedtls/platform_util.h
- usr/include/mbedtls/poly1305.h
- usr/include/mbedtls/psa_util.h
- usr/include/mbedtls/ripemd160.h
- usr/include/mbedtls/rsa.h
- usr/include/mbedtls/rsa_internal.h
- usr/include/mbedtls/sha1.h
- usr/include/mbedtls/sha256.h
- usr/include/mbedtls/sha512.h
- usr/include/mbedtls/ssl.h
- usr/include/mbedtls/ssl_cache.h
- usr/include/mbedtls/ssl_ciphersuites.h
- usr/include/mbedtls/ssl_cookie.h
- usr/include/mbedtls/ssl_internal.h
- usr/include/mbedtls/ssl_ticket.h
- usr/include/mbedtls/threading.h
- usr/include/mbedtls/timing.h
- usr/include/mbedtls/version.h
- usr/include/mbedtls/x509.h
- usr/include/mbedtls/x509_crl.h
- usr/include/mbedtls/x509_crt.h
- usr/include/mbedtls/x509_csr.h
- usr/include/mbedtls/xtea.h
- usr/lib64/libmbedcrypto.so
- usr/lib64/libmbedcrypto.so.2.17.0
- usr/lib64/libmbedcrypto.so.3
- usr/lib64/libmbedtls.so
- usr/lib64/libmbedtls.so.12
- usr/lib64/libmbedtls.so.2.17.0
- usr/lib64/libmbedx509.so
- usr/lib64/libmbedx509.so.0
- usr/lib64/libmbedx509.so.2.17.0
- usr/share/doc/mbedtls-2.17.0/ChangeLog.bz2
- usr/share/doc/mbedtls-2.17.0/README.md.bz2
- usr/share/doc/mbedtls-2.17.0/aes/CMakeLists.txt.bz2
- usr/share/doc/mbedtls-2.17.0/aes/aescrypt2.c.bz2
- usr/share/doc/mbedtls-2.17.0/aes/crypt_and_hash.c.bz2
- usr/share/doc/mbedtls-2.17.0/hash/CMakeLists.txt.bz2
- usr/share/doc/mbedtls-2.17.0/hash/generic_sum.c.bz2
- usr/share/doc/mbedtls-2.17.0/hash/hello.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/CMakeLists.txt.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/dh_client.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/dh_genprime.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/dh_prime.txt.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/dh_server.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/ecdh_curve25519.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/ecdsa.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/gen_key.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/key_app.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/key_app_writer.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/mpi_demo.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/pk_decrypt.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/pk_encrypt.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/pk_sign.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/pk_verify.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/rsa_decrypt.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/rsa_encrypt.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/rsa_genkey.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/rsa_priv.txt.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/rsa_pub.txt.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/rsa_sign.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/rsa_sign_pss.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/rsa_verify.c.bz2
- usr/share/doc/mbedtls-2.17.0/pkey/rsa_verify_pss.c.bz2
- usr/share/doc/mbedtls-2.17.0/ssl/CMakeLists.txt.bz2
- usr/share/doc/mbedtls-2.17.0/ssl/dtls_client.c.bz2
- usr/share/doc/mbedtls-2.17.0/ssl/dtls_server.c.bz2
- usr/share/doc/mbedtls-2.17.0/ssl/mini_client.c.bz2
- usr/share/doc/mbedtls-2.17.0/ssl/query_config.c.bz2
- usr/share/doc/mbedtls-2.17.0/ssl/ssl_client1.c.bz2
- usr/share/doc/mbedtls-2.17.0/ssl/ssl_client2.c.bz2
- usr/share/doc/mbedtls-2.17.0/ssl/ssl_fork_server.c.bz2
- usr/share/doc/mbedtls-2.17.0/ssl/ssl_mail_client.c.bz2
- usr/share/doc/mbedtls-2.17.0/ssl/ssl_pthread_server.c.bz2
- usr/share/doc/mbedtls-2.17.0/ssl/ssl_server.c.bz2
- usr/share/doc/mbedtls-2.17.0/ssl/ssl_server2.c.bz2
- usr/share/doc/mbedtls-2.17.0/test/CMakeLists.txt.bz2
- usr/share/doc/mbedtls-2.17.0/test/benchmark.c.bz2
- usr/share/doc/mbedtls-2.17.0/test/query_compile_time_config.c.bz2
- usr/share/doc/mbedtls-2.17.0/test/selftest.c.bz2
- usr/share/doc/mbedtls-2.17.0/test/ssl_cert_test.c.bz2
- usr/share/doc/mbedtls-2.17.0/test/udp_proxy.c.bz2
- usr/share/doc/mbedtls-2.17.0/test/zeroize.c.bz2
- var/db/pkg/net-libs/mbedtls-2.17.0/BDEPEND
- var/db/pkg/net-libs/mbedtls-2.17.0/BUILD_TIME
- var/db/pkg/net-libs/mbedtls-2.17.0/CATEGORY
- var/db/pkg/net-libs/mbedtls-2.17.0/CBUILD
- var/db/pkg/net-libs/mbedtls-2.17.0/CFLAGS
- var/db/pkg/net-libs/mbedtls-2.17.0/CHOST
- var/db/pkg/net-libs/mbedtls-2.17.0/CONTENTS
- var/db/pkg/net-libs/mbedtls-2.17.0/COUNTER
- var/db/pkg/net-libs/mbedtls-2.17.0/CXXFLAGS
- var/db/pkg/net-libs/mbedtls-2.17.0/DEFINED_PHASES
- var/db/pkg/net-libs/mbedtls-2.17.0/DEPEND
- var/db/pkg/net-libs/mbedtls-2.17.0/DESCRIPTION
- var/db/pkg/net-libs/mbedtls-2.17.0/EAPI
- var/db/pkg/net-libs/mbedtls-2.17.0/FEATURES
- var/db/pkg/net-libs/mbedtls-2.17.0/HOMEPAGE
- var/db/pkg/net-libs/mbedtls-2.17.0/INHERITED
- var/db/pkg/net-libs/mbedtls-2.17.0/IUSE
- var/db/pkg/net-libs/mbedtls-2.17.0/IUSE_EFFECTIVE
- var/db/pkg/net-libs/mbedtls-2.17.0/KEYWORDS
- var/db/pkg/net-libs/mbedtls-2.17.0/LDFLAGS
- var/db/pkg/net-libs/mbedtls-2.17.0/LICENSE
- var/db/pkg/net-libs/mbedtls-2.17.0/NEEDED
- var/db/pkg/net-libs/mbedtls-2.17.0/PF
- var/db/pkg/net-libs/mbedtls-2.17.0/PROVIDES
- var/db/pkg/net-libs/mbedtls-2.17.0/RDEPEND
- var/db/pkg/net-libs/mbedtls-2.17.0/REQUIRES
- var/db/pkg/net-libs/mbedtls-2.17.0/SIZE
- var/db/pkg/net-libs/mbedtls-2.17.0/SLOT
- var/db/pkg/net-libs/mbedtls-2.17.0/USE
- var/db/pkg/net-libs/mbedtls-2.17.0/environment.bz2
- var/db/pkg/net-libs/mbedtls-2.17.0/mbedtls-2.17.0.ebuild
- var/db/pkg/net-libs/mbedtls-2.17.0/repository
package_cacheimage: ""
runtime:
  name: mbedtls
  version: 2.17.0
  category: net-libs
  use_flags:
  - -doc
  - -libressl
  - -test
  - programs
  - zlib
  requires:
  - name: zlib
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Cryptographic library for embedded systems
  uri:
  - https://tls.mbed.org/
  license: Apache-2.0
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6
    DEPEND: programs? ( !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0=
      ) ) zlib? ( >=sys-libs/zlib-1.2.8-r1[-mgorny(-)] ) doc? ( app-doc/doxygen media-gfx/graphviz
      ) test? ( dev-lang/perl )
    IUSE: cpu_flags_x86_sse2 doc havege libressl programs -static-libs test threads
      zlib abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64
    RDEPEND: programs? ( !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0=
      ) ) zlib? ( >=sys-libs/zlib-1.2.8-r1[-mgorny(-)] )
    emerge.packages: net-libs/mbedtls
    kit: net-kit
    original.package.name: net-libs/mbedtls
    original.package.slot: "0"
    original.package.version: 2.17.0
